%define _disable_ld_no_undefined 1

%define	major		2
%define	libname		%mklibname %{name} %{major}
%define	devname		%mklibname %{name} -d

%define	fsresize_major	0
%define	libfsresize	%mklibname %{name}-fs-resize %{fsresize_major}

%bcond_without	uclibc

Name:		parted
Version:	3.1
Release:	3
Summary:	Flexible partitioning tool
License:	GPLv3+
Group:		System/Configuration/Hardware
URL:		http://www.gnu.org/software/parted/
Source0:	http://ftp.gnu.org/gnu/parted/%{name}-%{version}.tar.xz
Source1:	http://ftp.gnu.org/gnu/parted/%{name}-%{version}.tar.xz.sig

Patch0:		parted-3.0-libparted-copy-pmbr_boot-when-duplicating-GPT-disk.patch
Patch1:		parted-3.1-libparted-check-PMBR-before-GPT-partition-table-8052.patch
Patch2:		parted-3.1-tests-add-t0301-overwrite-gpt-pmbr.sh.patch
Patch3:		parted-3.1-libparted-Fix-endian-error-with-FirstUsableLBA.patch
Patch4:		parted-2.1-libparted-use-dm_udev_wait-698121.patch
Patch5:		parted-3.1-libparted-use-largest_partnum-in-dm_reread_part_tabl.patch
patch6:		parted-3.1-test-creating-20-device-mapper-partitions.patch
Patch7:		parted-3.1-libparted-preserve-the-uuid-on-dm-partitions.patch
Patch8:		parted-3.1-tests-Make-sure-dm-UUIDs-are-not-erased.patch
Patch9:		parted-3.1-libparted-reallocate-buf-after-_disk_analyse_block_s.patch
Patch10:	parted-3.1-tests-cleanup-losetup-usage.patch
Patch11:	parted-3.1-libparted-add-support-for-implicit-FBA-DASD-partitions.patch
Patch12:	parted-3.1-libparted-add-support-for-EAV-DASD-partitions.patch

BuildRequires:	pkgconfig(devmapper)
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	gpm-devel
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	readline-devel

%package -n	uclibc-%{name}
Summary:	Flexible partitioning tool
Group:		System/Configuration/Hardware

%package -n	%{libname}
Summary:	The parted library
Group:		Development/C
Obsoletes:	%{mklibname %{name} 1.7} = %{version}

%package -n	uclibc-%{libname}
Summary:	The parted library (uClibc linked) (uClibc linked)
Group:		Development/C

%package -n	%{libfsresize}
Summary:	The parted fs-resize library
Group:		Development/C

%package -n	uclibc-%{libfsresize}
Summary:	The parted fs-resize library (uClibc linked)
Group:		Development/C

%package -n	%{devname}
Summary:	Files required to compile software that uses lib%{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{libfsresize} = %{version}
%if %{with uclibc}
Requires:	uclibc-%{libname} = %{EVRD}
Requires:	uclibc-%{libfsresize} = %{EVRD}
%endif
Provides:	parted-devel = %{version}
Obsoletes:	%{mklibname -d parted 1.8 7} < %{version}
Obsoletes:	%{mklibname -d parted 1.8 8} < %{version}-%{release}
Obsoletes:	%{mklibname -d parted 1.8 2} < %{version}
Obsoletes:	%{mklibname -d parted 1.8 1} < %{version}
Obsoletes:	%{mklibname -d parted 1.7 1} < %{version}

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description -n	uclibc-%{name}
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description -n %{libname}
This package includes the dynamic libraries

%description -n uclibc-%{libname}
This package includes the dynamic libraries

%description -n %{libfsresize}
This package includes the dynamic libraries

%description -n uclibc-%{libfsresize}
This package includes the dynamic libraries

%description -n %{devname}
This package includes the header files and libraries needed to
link software with lib%{name}.

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
CONFIGURE_TOP="$PWD"

%if %{with uclibc}
mkdir -p uclibc
pushd uclibc
%uclibc_configure \
		--enable-device-mapper \
		--without-readline \
		--with-pic \
		--disable-assert
%make V=1 CC=%{uclibc_cc} CFLAGS="%{uclibc_cflags}"
popd
%endif

mkdir -p system
pushd system
%configure2_5x	--enable-device-mapper \
		--with-readline \
		--with-pic
%make
popd

%install
%if %{with uclibc}
%makeinstall_std -C uclibc
rm -r %{buildroot}%{uclibc_root}%{_libdir}/pkgconfig
%endif

%makeinstall_std -C system

%find_lang %{name}

%check
# check fails due to /dev not mounted in chroot on bs..
make -C system check || /bin/true

%files -f %{name}.lang
%doc README
%{_sbindir}/parted
%{_sbindir}/partprobe
%{_mandir}/man8/parted.8*
%{_mandir}/man8/partprobe.8*
%{_infodir}/parted.info*

%if %{with uclibc}
%files -n uclibc-%{name}
%{uclibc_root}%{_sbindir}/parted
%{uclibc_root}%{_sbindir}/partprobe
%endif

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%if %{with uclibc}
%files -n uclibc-%{libname}
%{uclibc_root}%{_libdir}/lib%{name}.so.%{major}*
%endif

%files -n %{libfsresize}
%{_libdir}/lib%{name}-fs-resize.so.%{fsresize_major}*

%if %{with uclibc}
%files -n uclibc-%{libfsresize}
%{uclibc_root}%{_libdir}/lib%{name}-fs-resize.so.%{fsresize_major}*
%endif

%files -n %{devname}
%doc AUTHORS ChangeLog doc/API TODO
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-fs-resize.a
%{_libdir}/lib%{name}-fs-resize.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/lib%{name}.a
%{uclibc_root}%{_libdir}/lib%{name}.so
%{uclibc_root}%{_libdir}/lib%{name}-fs-resize.a
%{uclibc_root}%{_libdir}/lib%{name}-fs-resize.so
%endif
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Wed Oct 31 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.1-3
+ Revision: 821485
- don't break build because of failures during regression check..
- sync all of our patches from fedora
- drop bogus dependencies on e2fsprogs
- cleanups
- disable assert for uclibc build
- do uClibc build

* Sun Jun 03 2012 Andrey Bondrov <abondrov@mandriva.org> 3.1-2
+ Revision: 802098
- Drop some legacy junk

* Tue Mar 06 2012 Andrey Bondrov <abondrov@mandriva.org> 3.1-1
+ Revision: 782350
- New libparted major 2, new libparted-fs-resize library subpackage
- New version 3.1, update BuildRequires (gettext-devel >= 0.18)

* Thu Feb 16 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.0-3
+ Revision: 774951
- don't disable -Werror flags..
- move dependency on e2fsprogs to main package rather than library package
- cleanup buildrequires
- spec cosmetics
- drop libparted-devel provides
- drop bogus provides
- drop libtool .la file
- clean up spec

* Mon May 30 2011 Funda Wang <fwang@mandriva.org> 3.0-1
+ Revision: 681963
- new verison 3.0

* Thu May 19 2011 Funda Wang <fwang@mandriva.org> 2.4-1
+ Revision: 676106
- cleanup old patches
- update to new version 2.4

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 2.3-4
+ Revision: 666988
- mass rebuild

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Disable Werror for now.
    - P0: remove assert causing crash with partprobe

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 2.3-1mdv2011.0
+ Revision: 550584
- update to new version 2.3
- add check section

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 2.2-1mdv2010.1
+ Revision: 512187
- new version 2.2

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 2.1-1mdv2010.1
+ Revision: 482612
- New version 2.1 ( -> new libmajor )

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - build with --with-pic

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0-2mdv2010.0
+ Revision: 409183
- Updated buildrequires for libuuid.

* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 1.9.0-1mdv2010.0
+ Revision: 400596
- New version 1.9.0
  New major
- drop patches (fixed upstream)
- reenable Werror
- reenable readline

* Thu Feb 26 2009 Pascal Terjan <pterjan@mandriva.org> 1.8.8-5mdv2009.1
+ Revision: 345222
- BuildConflict with check-devel, else it builds test app and installs it
- Fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new libreadline

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 1.8.8-4mdv2009.0
+ Revision: 289163
- more spcific oboslete

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 1.8.8-3mdv2009.0
+ Revision: 289157
- obsolete old devel name rather than conflicts

* Mon Aug 18 2008 Emmanuel Andry <eandry@mandriva.org> 1.8.8-2mdv2009.0
+ Revision: 273303
- /usr/bin/label is not built on cluster
- remove /usr/bin/label
- apply devel policy
- fix build with p1 from opensuse

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 15 2008 Thierry Vignaud <tv@mandriva.org> 1.8.8-1mdv2009.0
+ Revision: 194356
- adjust file list
- new release

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.7-3mdv2008.1
+ Revision: 179138
- rebuild
- rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - new major
    - disable readline (readline detection patch has to be reworked, and aclocal -I m4 is used on some other distros but breaks build on Mandriva
    - New version
    - license is now GPLv3+
    - rediff patch 1

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 David Walluck <walluck@mandriva.org> 1.8.7-2mdv2008.0
+ Revision: 26229
- change %%{makeinstall} back to %%{makeinstall_std}
- revert %%defattr change (fix permission in .la files)

* Thu May 10 2007 David Walluck <walluck@mandriva.org> 1.8.7-1mdv2008.0
+ Revision: 25887
- fix build
- fix rpmlint warnings
- 1.8.7

* Fri Apr 20 2007 Pixel <pixel@mandriva.com> 1.8.6-1mdv2008.0
+ Revision: 16160
- new release, 1.8.6
- update disksunraid patch
- add patch fixing readline detection in configure
- don't package new binary /usr/bin/label
  (hopefully not useful, use vol_id instead)
- libparted1.xxx-devel need explicit conflict on previous libparted1.xxx-devel


* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 1.8.2-3mdv2007.0
+ Revision: 113680
- fix libname and ensure it is correct

* Thu Jan 25 2007 Pixel <pixel@mandriva.com> 1.8.2-2mdv2007.1
+ Revision: 113408
- new release, 1.8.2

* Thu Dec 14 2006 Pixel <pixel@mandriva.com> 1.8.1-1mdv2007.1
+ Revision: 97094
- patch no-selinux no more needed
- new release, 1.8.1
- patch

* Fri Nov 24 2006 Pixel <pixel@mandriva.com> 1.8.0-1mdv2007.1
+ Revision: 86983
- new release
- new library major (libparted-1.8.so)
- ensure package can't build if the major is wrong
- force device-mapper (was the default)
- adapt patch10
- add /usr/include/multiarch-i386-linux/pci to file list (what's this?)
- Import parted

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.7.1-3mdv2007.0
- Rebuild

* Sun Aug 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- fix libification (libparted1.7 providing *.so.0 than *.so.1 lib...)

* Thu Aug 10 2006 Pixel <pixel@mandriva.com> 1.7.1-1mdv2007.0
- new release
- removed mac-swraid patch2 (added upstream)
- fix segfaults with dasd devices (patch3 from fedora)
- updated device-mapper patch (patch5 from fedora)
- use O_DIRECT to prevent first partition corruption on GPT disks (patch8 from fedora)
- add ped_exception_get_handler (patch9 from fedora)

* Fri Jun 09 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.7.0-4mdv2007.0
- fix another missing buildrequires

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.7.0-3mdv2007.0
- fix buildrequires
- force aclocal version
- be sure to wipe out buildroot before installing

* Tue May 30 2006 Pascal Terjan <pterjan@mandriva.org> 1.7.0-2mdv2007.0
- fix build (don't remove non existent %%_infodir/dir)
- mkrel

* Wed May 24 2006 Pixel <pixel@mandriva.com> 1.7.0-1mdk
- new release
- include patches from fedora
- use aclocal & autoconf for patch5 (libdevicemapper)
- doc/FAQ is no more

* Wed Dec 28 2005 Pixel <pixel@mandriva.com> 1.6.25.1-1mdk
- new release

* Fri Sep 23 2005 Pixel <pixel@mandriva.com> 1.6.24-1mdk
- new release

* Sat Jul 16 2005 Erwan Velu <velu@seanodes.com> 1.6.23-1mdk
- 1.6.23

* Thu Feb 03 2005 Pixel <pixel@mandrakesoft.com> 1.6.21-1mdk
- new release
- removing oldsundisk patch (mostly included upstream)

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.20-2mdk
- rebuild for new readline

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.20-1mdk
- 1.6.20

* Thu Dec 02 2004 Pixel <pixel@mandrakesoft.com> 1.6.19-1mdk
- new release

* Wed Nov 10 2004 Pixel <pixel@mandrakesoft.com> 1.6.16-1mdk
- new release
- update oldsun patch (hopefull it still works...)

* Fri Jul 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.11-2mdk
- fix sparc RAID (P0 from aurora)
- fix disk identification for old sun disks (P1 from aurora)

* Tue Jun 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.11-1mdk
- 1.6.11
- use libtoolize again

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.10-1mdk
- 1.6.10

